<?php 
// /HEADER SETTINGS IN CUSTOMIZER
  $lvl1ParentPanel = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel1', array(
    'title' => 'General Settings',
    'priority' => 1,
  ));

  $wp_customize->add_panel( $lvl1ParentPanel );

  $lvl2ParentPanel = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel2', array(
    'title' => 'Header',
    'panel' => 'peccular_header_panel1',
    'priority' => 1,
  ));

  $wp_customize->add_panel( $lvl2ParentPanel );


  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'peccular_section', array(
    'title' => 'Section Test',
    'panel' => 'peccular_header_panel2',
  ));

//Bottom Header
    $wp_customize->add_section( 'peccular_header_section' , array(
        'title'    => __( 'All Settings', 'peccular-premium' ),
        'priority' => null,
        'panel' => 'peccular_header_panel2'
    ) );

    $wp_customize->add_setting('peccular_allsetting_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_allsetting_nav', array(
       'section' => 'peccular_header_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_show_sticky_header',
                'peccular_header_style',
                'peccular_header_width',                
                'peccular_header_fb',
                'peccular_header_tw',
                'peccular_header_in',                
                'peccular_header_instagram',               
                'peccular_header_pinterest',               
                'peccular_topheader_phone',
                'peccular_topheader_address',
                'peccular_topheader_logintext',
                'peccular_topheader_register'
               
                
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(  
                'header_stickybgColor',         
                'header_SiteTitleColor',
                'header_SiteTaglineColor',                
                'headereemail_color',
                'headerphone_color',            
                'headereemailhove_color',
                'headerephoneicon_color',
                'headereemailicon_color',
                'header_socialColor',
                'header_socialhoverColor',               
                'headerphonenum_color',
                'headerlogtxt_color',
                'headerregtxt_color',
                'headertexthove_color',

            ),
         )
        ),
    )));
    
    $wp_customize->add_setting( 'peccular_show_sticky_header',array(
        'default' => false,
        'sanitize_callback' => 'peccular_switch_sanitization'
   ) );
   $wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_show_sticky_header',array(
        'label' => __( 'Show Sticky Header','peccular' ),
        'section' => 'peccular_header_section'
   )));


    $wp_customize->add_setting('peccular_header_style',array(
        'default' => 'On Slider',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_header_style',array(
        'type' => 'select',
        'label' => __('Header Style','peccular'),
        'choices' => array (
            'Above Slider' => __('Above Slider','peccular'),
            'On Slider' => __('On Slider','peccular')
        ),
        'section' => 'peccular_header_section',
    ));

    $wp_customize->add_setting('peccular_header_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_header_width',array(
        'type' => 'select',
        'label' => __('Section Width','peccular'),
        'choices' => array (
            'Box Width' => __('Box Width','peccular'),
            'Full Width' => __('Full Width','peccular')
        ),
        'section' => 'peccular_header_section',
    ));


    // $wp_customize->add_setting('peccular_topheader_emailtext',array(       
    //     'sanitize_callback' => 'sanitize_email',
    //     'default' => __('info@youremail.com','peccular-premium')
    // ));
    // $wp_customize->add_control('peccular_topheader_emailtext',array(
    //     'settings'      => 'peccular_topheader_emailtext',
    //     'type' => 'text',
    //     'label' => __('Add Email Address','peccular-premium'),
    //     'section' => 'peccular_header_section',
    // ));


   $wp_customize->add_setting('peccular_topheader_address',array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default' => __('NEW YORK IPSUM DOLAR','peccular-premium')
    ));
    $wp_customize->add_control('peccular_topheader_address',array(
        'settings'      => 'peccular_topheader_address',
        'type' => 'text',
        'label' => __('Add Address','peccular-premium'),
        'section' => 'peccular_header_section',
    ));

    $wp_customize->add_setting('peccular_topheader_phone',array(
        'sanitize_callback' => 'peccular_sanitize_phone_number',
        'default' => __('111 222 333 444','peccular-premium')
    ));
    $wp_customize->add_control('peccular_topheader_phone',array(
        'settings'      => 'peccular_topheader_phone',
        'type' => 'text',
        'label' => __('Add Phone Number','peccular-premium'),
        'section' => 'peccular_header_section',
    ));

   $wp_customize->add_setting('peccular_topheader_logintext',array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default' => __('LOGIN','peccular-premium')
    ));
    $wp_customize->add_control('peccular_topheader_logintext',array(
        'settings'      => 'peccular_topheader_logintext',
        'type' => 'text',
        'label' => __('Add Login Text','peccular-premium'),
        'section' => 'peccular_header_section',
    ));

     $wp_customize->add_setting('peccular_topheader_register',array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default' => __('REGISTER','peccular-premium')
    ));
    $wp_customize->add_control('peccular_topheader_register',array(
        'settings'      => 'peccular_topheader_register',
        'type' => 'text',
        'label' => __('Add Register Text','peccular-premium'),
        'section' => 'peccular_header_section',
    ));


// FACEBOOK 
$wp_customize->add_setting('peccular_header_fb', array('default'=> 'https://facebook.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_header_fb',
    array(
        'settings'      => 'peccular_header_fb',
        'section'       => 'peccular_header_section',
        'type'          => 'url',
        'label'         => __( 'Facebook Url', 'peccular-premium' )
    )
);
// TWITTER
$wp_customize->add_setting('peccular_header_tw', array('default'=> 'https://twitter.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_header_tw',
    array(
        'settings'      => 'peccular_header_tw',
        'section'       => 'peccular_header_section',
        'type'          => 'url',
        'label'         => __( 'Twitter Url', 'peccular-premium' )
    )
);


// Instagram IN
$wp_customize->add_setting('peccular_header_instagram',array('default'=> 'https://instagram.com','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_header_instagram',
    array(
        'settings'      => 'peccular_header_instagram',
        'section'       => 'peccular_header_section',
        'type'          => 'url',
        'label'         => __( 'Instagram Url', 'peccular-premium' )
    )
);


// LINKED IN
$wp_customize->add_setting('peccular_header_in',array('default'=> 'https://linkedin.com','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_header_in',
    array(
        'settings'      => 'peccular_header_in',
        'section'       => 'peccular_header_section',
        'type'          => 'url',
        'label'         => __( 'Linkedin Url', 'peccular-premium' )
    )
);

// Pinterest
$wp_customize->add_setting('peccular_header_pinterest',array('default'=> 'https://pinterest.com','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_header_pinterest',
    array(
        'settings'      => 'peccular_header_pinterest',
        'section'       => 'peccular_header_section',
        'type'          => 'url',
        'label'         => __( 'Pinterest Url', 'peccular-premium' )
    )
);

// Youtube IN
$wp_customize->add_setting('peccular_header_youtube',array('default'=> '','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_header_youtube',
    array(
        'settings'      => 'peccular_header_youtube',
        'section'       => 'peccular_header_section',
        'type'          => 'url',
        'label'         => __( 'Youtube Url', 'peccular-premium' )
    )
);



// Whatsapp IN
$wp_customize->add_setting('peccular_header_whatsapp',array('default'=> '','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_header_whatsapp',
    array(
        'settings'      => 'peccular_header_whatsapp',
        'section'       => 'peccular_header_section',
        'type'          => 'url',
        'label'         => __( 'Whatsapp Url', 'peccular-premium' )
    )
);

    

addColorPalatOption($wp_customize, 'header_stickybgColor', 'peccular_header_section', 'Sticky BG Color', '');
addColorPalatOption($wp_customize, 'header_SiteTitleColor', 'peccular_header_section', 'Site Title Color', '');
addColorPalatOption($wp_customize, 'header_SiteTaglineColor', 'peccular_header_section', 'Tagline Color', '');

addColorPalatOption($wp_customize, 'headereemailicon_color', 'peccular_header_section', 'Address Icon Color', '');
addColorPalatOption($wp_customize, 'headereemail_color', 'peccular_header_section', 'Address Text Color', '');

addColorPalatOption($wp_customize, 'headerephoneicon_color', 'peccular_header_section', 'Phone Icon Color', '');
addColorPalatOption($wp_customize, 'headerphone_color', 'peccular_header_section', 'Phone Text Color', '');

addColorPalatOption($wp_customize, 'headerlogtxt_color', 'peccular_header_section', 'Login Text Color', '');
addColorPalatOption($wp_customize, 'headerregtxt_color', 'peccular_header_section', 'Register Text Color', '');

addColorPalatOption($wp_customize, 'headertexthove_color', 'peccular_header_section', 'Text Hover Color', '');

addColorPalatOption($wp_customize, 'header_socialColor', 'peccular_header_section', 'Socials Icon Color', '');
addColorPalatOption($wp_customize, 'header_socialhoverColor', 'peccular_header_section', 'Socials Icon Hover Color','');

?>