<?php 
    $wp_customize->add_section(
        'peccular_about_section',
        array(
            'title' => __( 'About Us', 'peccular-premium' ),
            'panel' => 'peccular_premium_home_panel1',
            'priority' =>20
        )
    );

$wp_customize->add_setting('peccular_about_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_about_nav', array(
       'section' => 'peccular_about_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_about_enable',
                'peccular_counter_enable',
                'peccular_about_image1', 
                'peccular_about_image2',  
                'peccular_about_image3',                 
                'peccular_about_section_title1',
                'peccular_about_head_icon_enable',
                'peccular_about_head_icon',
                'peccular_about_subtitle',
                'peccular_about_text',
                'peccular_about_texttext',
                'peccular_about_page_list',                
                'peccular_about_button_display',
                'peccular_about_btn_txt',
                'peccular_about_btnlink',
                'peccular_about_facility_heading',
                'peccular_about_pagelist2',
                'peccular_about_section_lbl1',
                'peccular_about_phone',
                'peccular_about_phone_text',
                'peccular_about_section_lbl3',
                'peccular_about_facility_headlbl',
                'abtservtitle1',
                'abtservtitle2',
                'abtservtitle3',
                'abtservtext1',
                'abtservtext2',
                'abtservtext3',
                'abtservicon1',
                'abtservicon2',
                'abtservicon3',
                'abtexpenum',
                'abtexpetext',
                'peccular_counter_npp_count_heading',
                'peccular_counter_npp_count',
                'peccular_counter_page1',                
                'peccular_counter_page_title_1',
                'peccular_counter_page_num_1',                
                'peccular_counter_page2',                
                'peccular_counter_page_title_2',
                'peccular_counter_page_num_2',              
                'peccular_counter_page3',                
                'peccular_counter_page_title_3',
                'peccular_counter_page_num_3',               
                'peccular_counter_page4',               
                'peccular_counter_page_title_4',
                'peccular_counter_page_num_4',                
                'peccular_counter_page5',                
                'peccular_counter_page_title_5',
                'peccular_counter_page_num_5',               
                'peccular_counter_page6',                
                'peccular_counter_page_title_6',
                'peccular_counter_page_num_6',               
                'peccular_counter_page7',                
                'peccular_counter_page_title_7',
                'peccular_counter_page_num_7',             
                'peccular_counter_page8',               
                'peccular_counter_page_title_8',
                'peccular_counter_page_num_8',               
                'peccular_counter_page9',               
                'peccular_counter_page_title_9',
                'peccular_counter_page_num_9',              
                'peccular_counter_page10',               
                'peccular_counter_page_title_10',
                'peccular_counter_page_num_10',

            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'peccular_about_section_bg_color',
                'peccular_about_section_bg_image',
                'peccular_about_image_opacity',                
                'peccular_about_box_onload_effects',
                'peccular_counter_box_onload_effects',
                'peccular_about_head_align',
                'peccular_counter_box_align',
                'peccular_about_title_case',
                'peccular_counter_title_case',
                'peccular_about_heading_color',
                'peccular_about_subheading_color',
                'peccular_about_text_color',
                'peccular_about_list_color',
                'peccular_about_listicon_color',                
                'peccular_about_icon_color',
                'peccular_about_iconbrdr_color',
                'peccular_about_abttitle_color',
                'peccular_about_abttext_color',                        
                'peccular_about_iconbghov_color',
                'peccular_about_boxbrdr_color',
                'peccular_about_counterbxbg_color',
                'peccular_about_counternum_color',
                'peccular_about_countertitle_color',
                'peccular_about_listiconhov_color',
                'peccular_about_counterbxhovbrdr_color',
                             
              
            ),
         ),
          array(
            'name' => esc_html__('Layout', 'peccular-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'peccular_about_padding',
                'peccular_about_top_padding',
                'peccular_about_bottom_padding',
                'peccular_about_section_width'
            ),
         )
        ),
    )));

$wp_customize->add_setting( 'peccular_about_enable',array(
    'default' => true,
    'sanitize_callback' => 'peccular_switch_sanitization'
) );
$wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_about_enable',array(
    'label' => __( 'Disable About Section','peccular' ),
    'section' => 'peccular_about_section'
)));

$wp_customize->add_setting( 'peccular_counter_enable',array(
    'default' => true,
    'sanitize_callback' => 'peccular_switch_sanitization'
) );
$wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_counter_enable',array(
    'label' => __( 'Disable Counter Section','peccular' ),
    'section' => 'peccular_about_section'
)));

// aboout images

    $wp_customize->add_setting( 'peccular_about_image1', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_about_image1', array(
        'label' => __('About Image 1','peccular'),
       'section' => 'peccular_about_section',
    )));

    $wp_customize->add_setting( 'peccular_about_image2', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_about_image2', array(
        'label' => __('About Image 2','peccular'),
       'section' => 'peccular_about_section',
    )));

    $wp_customize->add_setting( 'peccular_about_image3', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_about_image3', array(
        'label' => __('About Image 3','peccular'),
       'section' => 'peccular_about_section',
    )));

    $wp_customize->add_setting('peccular_about_section_lbl1', array('sanitize_callback'=>'peccular_sanitize_text'));
    $wp_customize->add_control(
    new peccular_Info_Text( 
        $wp_customize,
        'peccular_about_section_lbl1',
        array(
            'settings'      => 'peccular_about_section_lbl1',
            'section'       => 'peccular_about_section',
            'label'         => __( 'Note:', 'peccular Premium' ), 
            'description'   => __( 'Take Image size 530px x 657px  ', 'peccular Premium' ),
        )
    ));

// about images
$wp_customize->add_setting(
    'peccular_about_section_title1',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'About Us', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_about_section_title1',
    array(
        'settings'      => 'peccular_about_section_title1',
        'section'       => 'peccular_about_section', 
        'type'          => 'text',
        'label'         => __( 'Section Title', 'peccular-premium' )
    )
);

$wp_customize->add_setting(
    'peccular_about_subtitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'There are many <b>variations of passages</b> of Lorem Ipsum available, but the majority have <b>suffered alteration</b> in some form, by injected humour, or randomised words which dont look even slightly believable.  but the majority have <b>suffered alteration</b> in some form .If you are going to use', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_about_subtitle',
    array(
        'settings'      => 'peccular_about_subtitle',
        'section'       => 'peccular_about_section', 
        'type'          => 'textarea',
        'label'         => __( 'Section Description', 'peccular-premium' )
    )
);

$wp_customize->add_setting(
    'peccular_about_facility_heading',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Our Facility', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_about_facility_heading',
    array(
        'settings'      => 'peccular_about_facility_heading',
        'section'       => 'peccular_about_section', 
        'type'          => 'text',
        'label'         => __( 'Facility Heading', 'peccular-premium' )
    )
);

$wp_customize->add_setting(
    'peccular_about_pagelist2',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '<ul>
          <li>There are many variations of There are many variations of passages of Lorem Ipsum available, but the majority have</li>
          <li>passages of Lorem Ipsum There are many variations of passages of Lorem Ipsum available</li>
          <li>available but the majority</li>
          </ul>', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_about_pagelist2',
    array(
        'settings'      => 'peccular_about_pagelist2',
        'section'       => 'peccular_about_section', 
        'type'          => 'textarea',
        'label'         => __( 'Bullet Points List', 'peccular-premium' )
    )
);


//About facility

$wp_customize->add_setting('peccular_about_facility_headlbl',array('sanitize_callback' => 'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Customize_Heading(
        $wp_customize,
        'peccular_about_facility_headlbl',
        array(
            'settings'      => 'peccular_about_facility_headlbl',
            'section'       => 'peccular_about_section',
            'label'         => __( 'Facility Plans', 'peccular' ),
        )
    )
);    

$wp_customize->add_setting(
        'abtservicon1',
        array(
            'default'           => 'fa fa-star-o',
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new peccular_Fontawesome_Icon_Chooser(
            $wp_customize,
            'abtservicon1',
            array(
                'settings'      => 'abtservicon1',
                'section'       => 'peccular_about_section',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'peccular-premium' ),
            )
    )
);

$wp_customize->add_setting(
    'abtservtitle1',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Fitness Fusion Zone', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'abtservtitle1',
    array(
        'settings'      => 'abtservtitle1',
        'section'       => 'peccular_about_section', 
        'type'          => 'text',
        'label'         => __( 'Plan 1', 'peccular-premium' )
    )
);

$wp_customize->add_setting(
    'abtservtext1',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Lorem ipsum dolor', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'abtservtext1',
    array(
        'settings'      => 'abtservtext1',
        'section'       => 'peccular_about_section', 
        'type'          => 'text',
        'label'         => __( 'Text', 'peccular-premium' )
    )
);

$wp_customize->add_setting(
        'abtservicon2',
        array(
            'default'           => 'fa fa-star-o',
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new peccular_Fontawesome_Icon_Chooser(
            $wp_customize,
            'abtservicon2',
            array(
                'settings'      => 'abtservicon2',
                'section'       => 'peccular_about_section',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'peccular-premium' ),
            )
    )
);

$wp_customize->add_setting(
    'abtservtitle2',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Aqua Bliss Pool', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'abtservtitle2',
    array(
        'settings'      => 'abtservtitle2',
        'section'       => 'peccular_about_section', 
        'type'          => 'text',
        'label'         => __( 'Plan 2', 'peccular-premium' )
    )
);

$wp_customize->add_setting(
    'abtservtext2',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Lorem ipsum dolor', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'abtservtext2',
    array(
        'settings'      => 'abtservtext2',
        'section'       => 'peccular_about_section', 
        'type'          => 'text',
        'label'         => __( 'Text', 'peccular-premium' )
    )
);
// about facility end


// counter part

$wp_customize->add_setting('peccular_counter_npp_count_heading',array('sanitize_callback' => 'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Customize_Heading(
        $wp_customize,
        'peccular_counter_npp_count_heading',
        array(
            'settings'      => 'peccular_counter_npp_count_heading',
            'section'       => 'peccular_about_section',
            'label'         => __( 'Number Of Counter To Show', 'peccular' ),
        )
    )
);    
$wp_customize->add_setting('peccular_counter_npp_count',array('sanitize_callback' => 'peccular_sanitize_text','default' => 3));
$wp_customize->add_control(
    'peccular_counter_npp_count',
    array(
        'settings'      => 'peccular_counter_npp_count',
        'section'       => 'peccular_about_section',
        'type'          => 'select',
        'label'         => __( 'Number Of counter To Show', 'peccular' ),
        'choices'=>array(1,2,3,4,5,6,7,8,9,10)
    )
);

//FEATURED PAGES
for( $i = 1; $i <= 10; $i++ ){
    $wp_customize->add_setting(
        'peccular_counter_page'.$i,
        array(
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new peccular_Customize_Heading(
            $wp_customize,
            'peccular_counter_page'.$i,
            array(
                'settings'      => 'peccular_counter_page'.$i,
                'section'       => 'peccular_about_section',
                'label'         => __( 'Counter ', 'peccular-premium' ).$i
            )
        )
    );

lzAddElement($wp_customize, 'peccular_counter_page_num_'.$i, 'peccular_about_section', $type = 'text', $label="Counter Number", $callback ='sanitize_text_field', $default='100');
lzAddElement($wp_customize, 'peccular_counter_page_title_'.$i, 'peccular_about_section', $type = 'text', $label="Counter Text", $callback ='peccular_sanitize_text', $default='Industry Metrics');
    
}

// counter part end

    $wp_customize->add_setting( 'peccular_about_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'peccular_about_section_bg_color', array(
        'label' => __('Section Background Color','peccular'),
       'section' => 'peccular_about_section',
    )));

    $wp_customize->add_setting( 'peccular_about_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_about_section_bg_image', array(
        'label' => __('Section Background Image','peccular'),
       'section' => 'peccular_about_section',
    )));


    $wp_customize->add_setting('peccular_about_image_opacity',array(
        'default' => 1,
        'sanitize_callback' => 'peccular_sanitize_float'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_about_image_opacity',array(
    'label' => __('Background Opacity','peccular'),
    'section' => 'peccular_about_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));


    $wp_customize->add_setting('peccular_about_box_onload_effects',array(
        'default' => 'zoom-in',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_about_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Block Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_about_section',
    ));

    $wp_customize->add_setting('peccular_counter_box_onload_effects',array(
        'default' => 'zoom-in',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_counter_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Counter Block Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_about_section',
    ));

    $wp_customize->add_setting('peccular_about_head_align',array(
        'default' => 'Center',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_about_head_align',array(
        'type' => 'select',
        'label' => __('Heading Alignment','peccular'),
        'choices' => array (
            'Center' => __('Center','peccular'),
            'Left' => __('Left','peccular'),
            'Right' => __('Right','peccular')
        ),
        'section' => 'peccular_about_section',
    ));

     $wp_customize->add_setting('peccular_counter_box_align',array(
        'default' => 'Center',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_counter_box_align',array(
        'type' => 'select',
        'label' => __('Counter Box Alignment','peccular'),
        'choices' => array (
            'Center' => __('Center','peccular'),
            'Left' => __('Left','peccular'),
            'Right' => __('Right','peccular')
        ),
        'section' => 'peccular_about_section',
    ));

    $wp_customize->add_setting('peccular_about_title_case',array(
        'default' => 'None',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_about_title_case',array(
        'type' => 'select',
        'label' => __('About Title Case','peccular'),
        'choices' => array (
            'Uppercase' => __('Uppercase','peccular'),
            'Lowercase' => __('Lowercase','peccular'),
            'Capitalize' => __('Capitalize','peccular'),
            'None' => __('None','peccular')
        ),
        'section' => 'peccular_about_section',
    ));

    $wp_customize->add_setting('peccular_counter_title_case',array(
        'default' => 'Uppercase',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_counter_title_case',array(
        'type' => 'select',
        'label' => __('Counter Title Case','peccular'),
        'choices' => array (
            'Uppercase' => __('Uppercase','peccular'),
            'Lowercase' => __('Lowercase','peccular'),
            'Capitalize' => __('Capitalize','peccular'),
            'None' => __('None','peccular')
        ),
        'section' => 'peccular_about_section',
    ));

    


    $wp_customize->add_setting('peccular_about_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('peccular_about_padding',array(
      'label' => __('Section Padding','peccular'),
      'section' => 'peccular_about_section'
   ));
   
    $wp_customize->add_setting('peccular_about_top_padding',array(
        'default' => '2',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_about_top_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_about_section',
    ));
     $wp_customize->add_setting('peccular_about_bottom_padding',array(
        'default' => '4',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_about_bottom_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_about_section',
    ));

    $wp_customize->add_setting('peccular_about_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_about_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','peccular'),
        'choices' => array (
            'Box Width' => __('Box Width','peccular'),
            'Full Width' => __('Full Width','peccular')
        ),
        'section' => 'peccular_about_section',
    ));



addColorPalatOption($wp_customize, 'peccular_about_heading_color', 'peccular_about_section', 'Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_about_text_color', 'peccular_about_section', 'Text Color', '');
addColorPalatOption($wp_customize, 'peccular_about_subheading_color', 'peccular_about_section', 'Facility Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_about_list_color', 'peccular_about_section', 'List Color', '');
addColorPalatOption($wp_customize, 'peccular_about_listicon_color', 'peccular_about_section', 'List Icon color', '');
addColorPalatOption($wp_customize, 'peccular_about_listiconhov_color', 'peccular_about_section', 'List Icon Hover color', '');
addColorPalatOption($wp_customize, 'peccular_about_icon_color', 'peccular_about_section', 'Plan Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_about_iconbrdr_color', 'peccular_about_section', 'Plan Icon Border Color', '');
addColorPalatOption($wp_customize, 'peccular_about_iconbghov_color', 'peccular_about_section', 'Plan Icon BG Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_about_abttitle_color', 'peccular_about_section', 'Plan Title Color', '');
addColorPalatOption($wp_customize, 'peccular_about_abttext_color', 'peccular_about_section', 'Plan Text Color', '');

addColorPalatOption($wp_customize, 'peccular_about_boxbrdr_color', 'peccular_about_section', 'Box Border Color', '');

addColorPalatOption($wp_customize, 'peccular_about_counterbxbg_color', 'peccular_about_section', 'Counter Box BG Color', '');
addColorPalatOption($wp_customize, 'peccular_about_counternum_color', 'peccular_about_section', 'Counter Number Color', '');
addColorPalatOption($wp_customize, 'peccular_about_countertitle_color', 'peccular_about_section', 'Counter Title Color', '');
addColorPalatOption($wp_customize, 'peccular_about_counterbxhovbrdr_color', 'peccular_about_section', 'Counter Box Hover Border Color', '');

?>