<?php  
$wp_customize->add_section(
    'peccular_counter_section',
    array(
        'title' => __('Counter', 'peccular-premium' ),
        'panel' => 'peccular_premium_home_panel1',
        'priority' =>22
    )
); 

$wp_customize->add_setting('peccular_counter_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_counter_nav', array(
       'section' => 'peccular_counter_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_counter_enable',
                'peccular_counter_maintitle',
                'peccular_counter_head_icon_enable',
                'peccular_counter_head_icon',
                'peccular_counter_subtitle',
                'peccular_counter_npp_count_heading',
                'peccular_counter_npp_count',
                'peccular_counter_page1',
                'peccular_counter_page_icon1',
                'peccular_counter_page_title_1',
                'peccular_counter_page_num_1',
                'peccular_counter_page_unit_1',
                'peccular_counter_page2',
                'peccular_counter_page_icon2',
                'peccular_counter_page_title_2',
                'peccular_counter_page_num_2',
                'peccular_counter_page_unit_2',
                'peccular_counter_page3',
                'peccular_counter_page_icon3',
                'peccular_counter_page_title_3',
                'peccular_counter_page_num_3',
                'peccular_counter_page_unit_3',
                'peccular_counter_page4',
                'peccular_counter_page_icon4',
                'peccular_counter_page_title_4',
                'peccular_counter_page_num_4',
                'peccular_counter_page_unit_4',
                'peccular_counter_page5',
                'peccular_counter_page_icon5',
                'peccular_counter_page_title_5',
                'peccular_counter_page_num_5',
                'peccular_counter_page_unit_5',
                'peccular_counter_page6',
                'peccular_counter_page_icon6',
                'peccular_counter_page_title_6',
                'peccular_counter_page_num_6',
                'peccular_counter_page_unit_6',
                'peccular_counter_page7',
                'peccular_counter_page_icon7',
                'peccular_counter_page_title_7',
                'peccular_counter_page_num_7',
                'peccular_counter_page_unit_7',
                'peccular_counter_page8',
                'peccular_counter_page_icon8',
                'peccular_counter_page_title_8',
                'peccular_counter_page_num_8',
                'peccular_counter_page_unit_8',
                'peccular_counter_page9',
                'peccular_counter_page_icon9',
                'peccular_counter_page_title_9',
                'peccular_counter_page_num_9',
                'peccular_counter_page_unit_9',
                'peccular_counter_page10',
                'peccular_counter_page_icon10',
                'peccular_counter_page_title_10',
                'peccular_counter_page_num_10',
                'peccular_counter_page_unit_10',
                'peccular_counter_page11',
                'peccular_counter_page_icon11',
                'peccular_counter_page_title_11',
                'peccular_counter_page_num_11',
                'peccular_counter_page_unit_11',
                'peccular_counter_page12',
                'peccular_counter_page_icon12',
                'peccular_counter_page_title_12',
                'peccular_counter_page_num_12',
                'peccular_counter_page_unit_12',
                'peccular_counter_page13',
                'peccular_counter_page_icon13',
                'peccular_counter_page_title_13',
                'peccular_counter_page_num_13',
                'peccular_counter_page_unit_13',
                'peccular_counter_page14',
                'peccular_counter_page_icon14',
                'peccular_counter_page_title_14',
                'peccular_counter_page_num_14',
                'peccular_counter_page_unit_14',
                'peccular_counter_page15',
                'peccular_counter_page_icon15',
                'peccular_counter_page_title_15',
                'peccular_counter_page_num_15',
                'peccular_counter_page_unit_15'
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(               
                'peccular_counter_section_bg_color',
                'peccular_counter_section_bg_image',
                'peccular_counter_image_opacity',                     
                'peccular_counter_box_onload_effects',
                'peccular_counter_title_case',
                'peccular_counter_head_align',
                'peccular_counter_box_align',
                'peccular_counter_heading_color',
                'peccular_counter_subheading_color',
                'peccular_counter_subheadingsapn_color',
                'peccular_counter_iconbg_color',
                'peccular_counter_iconhovbg_color',
                'peccular_counter_subheading_color',               
                'peccular_counter_number_color',
                'peccular_counter_name_color', 
                'peccular_counter_boxhovbedr_color',
                'peccular_counter_icon_color',
                'peccular_counter_iconhover_color',          
            ),
         ),
          array(
            'name' => esc_html__('Layout', 'peccular-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                 'peccular_counter_padding',
                'peccular_counter_section_t_padding',
                'peccular_counter_section_b_padding',
                'peccular_counter_section_width'               
            ),
         )
        ),
    )));

$wp_customize->add_setting( 'peccular_counter_enable',array(
    'default' => true,
    'sanitize_callback' => 'peccular_switch_sanitization'
) );
$wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_counter_enable',array(
    'label' => __( 'Disable Section','peccular' ),
    'section' => 'peccular_counter_section'
)));

$wp_customize->add_setting(
        'peccular_counter_maintitle',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'we have completed', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_counter_maintitle',
        array(
            'settings'      => 'peccular_counter_maintitle',
            'section'       => 'peccular_counter_section', 
            'type'          => 'text',
            'label'         => __( 'Section Heading', 'peccular' )
        )
    );

    $wp_customize->add_setting(
        'peccular_counter_subtitle',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'more than <span>1000+</span> work successfully', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_counter_subtitle',
        array(
            'settings'      => 'peccular_counter_subtitle',
            'section'       => 'peccular_counter_section', 
            'type'          => 'text',
            'label'         => __( 'Section Sub Heading', 'peccular' )
        )
    );

$wp_customize->add_setting('peccular_counter_npp_count_heading',array('sanitize_callback' => 'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Customize_Heading(
        $wp_customize,
        'peccular_counter_npp_count_heading',
        array(
            'settings'      => 'peccular_counter_npp_count_heading',
            'section'       => 'peccular_counter_section',
            'label'         => __( 'Number Of Counter To Show', 'peccular' ),
        )
    )
);    
$wp_customize->add_setting('peccular_counter_npp_count',array('sanitize_callback' => 'peccular_sanitize_text','default' => 3));
$wp_customize->add_control(
    'peccular_counter_npp_count',
    array(
        'settings'      => 'peccular_counter_npp_count',
        'section'       => 'peccular_counter_section',
        'type'          => 'select',
        'label'         => __( 'Number Of counter To Show', 'peccular' ),
        'choices'=>array(1,2,3,4,5,6,7,8,9,10,11,12)
    )
);

//FEATURED PAGES
for( $i = 1; $i <= 12; $i++ ){
    $wp_customize->add_setting(
        'peccular_counter_page'.$i,
        array(
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new peccular_Customize_Heading(
            $wp_customize,
            'peccular_counter_page'.$i,
            array(
                'settings'      => 'peccular_counter_page'.$i,
                'section'       => 'peccular_counter_section',
                'label'         => __( 'Counter ', 'peccular-premium' ).$i
            )
        )
    );

     $wp_customize->add_setting(
        'peccular_counter_page_icon'.$i,
        array(
            'default'           => 'fa fa-user-o',
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new peccular_Fontawesome_Icon_Chooser(
            $wp_customize,
            'peccular_counter_page_icon'.$i,
            array(
                'settings'      => 'peccular_counter_page_icon'.$i,
                'section'       => 'peccular_counter_section',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'peccular-premium' ),
            )
        )
    );


lzAddElement($wp_customize, 'peccular_counter_page_num_'.$i, 'peccular_counter_section', $type = 'text', $label="Counter Number", $callback ='sanitize_text_field', $default='100');
lzAddElement($wp_customize, 'peccular_counter_page_title_'.$i, 'peccular_counter_section', $type = 'text', $label="Counter Text", $callback ='peccular_sanitize_text', $default='Industry Metrics');
    
}

    $wp_customize->add_setting('peccular_counter_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('peccular_counter_padding',array(
      'label' => __('Section Padding','peccular'),
      'section' => 'peccular_counter_section'
   ));

    $wp_customize->add_setting('peccular_counter_section_t_padding',array(
        'default' => '2',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_counter_section_t_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_counter_section',
    ));
     $wp_customize->add_setting('peccular_counter_section_b_padding',array(
        'default' => '8',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_counter_section_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_counter_section',
    ));

// backgroundManager($wp_customize, 'counter', 'peccular_counter_section', $color='#fdfdfd', get_template_directory_uri().'/images/default-gray.png', 'img');

$wp_customize->add_setting( 'peccular_counter_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'peccular_counter_section_bg_color', array(
        'label' => __('Section Background Color','peccular'),
       'section' => 'peccular_counter_section',
    )));

    $wp_customize->add_setting( 'peccular_counter_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_counter_section_bg_image', array(
        'label' => __('Section Background Image','peccular'),
       'section' => 'peccular_counter_section',
    )));


     $wp_customize->add_setting('peccular_counter_image_opacity',array(
        'default' => 0.9,
        'sanitize_callback' => 'peccular_sanitize_float'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_counter_image_opacity',array(
    'label' => __('Background Opacity','peccular'),
    'section' => 'peccular_counter_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));

    $wp_customize->add_setting('peccular_counter_box_onload_effects',array(
        'default' => 'zoom-in',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_counter_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Box Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_counter_section',
    ));

    $wp_customize->add_setting('peccular_counter_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_counter_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','peccular'),
        'choices' => array (
            'Box Width' => __('Box Width','peccular'),
            'Full Width' => __('Full Width','peccular')
        ),
        'section' => 'peccular_counter_section',
    ));


     $wp_customize->add_setting('peccular_counter_title_case',array(
        'default' => 'Capitalize',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_counter_title_case',array(
        'type' => 'select',
        'label' => __('Counter Title Case','peccular'),
        'choices' => array (
            'Uppercase' => __('Uppercase','peccular'),
            'Lowercase' => __('Lowercase','peccular'),
            'Capitalize' => __('Capitalize','peccular')
        ),
        'section' => 'peccular_counter_section',
    ));

    $wp_customize->add_setting('peccular_counter_box_align',array(
        'default' => 'Left',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_counter_box_align',array(
        'type' => 'select',
        'label' => __('Content Box Alignment','peccular'),
        'choices' => array (
            'Center' => __('Center','peccular'),
            'Left' => __('Left','peccular'),
            'Right' => __('Right','peccular')
        ),
        'section' => 'peccular_counter_section',
    ));

addColorPalatOption($wp_customize, 'peccular_counter_heading_color', 'peccular_counter_section', 'Heading Color ', '');
addColorPalatOption($wp_customize, 'peccular_counter_subheading_color', 'peccular_counter_section', 'Sub Heading Color ', '');
addColorPalatOption($wp_customize, 'peccular_counter_subheadingsapn_color', 'peccular_counter_section', 'Sub Heading Span Color ', '');
 addColorPalatOption($wp_customize, 'peccular_counter_icon_color', 'peccular_counter_section', 'Icon Color ', '');
 addColorPalatOption($wp_customize, 'peccular_counter_iconhover_color', 'peccular_counter_section', 'Icon Hover Color ', '');
addColorPalatOption($wp_customize, 'peccular_counter_iconbg_color', 'peccular_counter_section', 'Icon BG Color ', '');
addColorPalatOption($wp_customize, 'peccular_counter_iconhovbg_color', 'peccular_counter_section', 'Icon Hover BG Color ', '');
addColorPalatOption($wp_customize, 'peccular_counter_number_color', 'peccular_counter_section', 'Number Color ', '');
addColorPalatOption($wp_customize, 'peccular_counter_name_color', 'peccular_counter_section', 'Name Color ', '');
addColorPalatOption($wp_customize, 'peccular_counter_boxhovbedr_color', 'peccular_counter_section', 'Box Hover Border Color ', '');
?>