<?php 
  $lvl2ParentPanel3 = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel3', array(
    'title' => 'Pages',
    'panel' => 'peccular_header_panel1',
    'priority' => 2,
  ));

  $wp_customize->add_panel( $lvl2ParentPanel3 );


  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'peccular_section', array(
    'title' => 'Section Test page',
    'panel' => 'peccular_header_panel3',
  ));

//Bottom Header
    $wp_customize->add_section( 'peccular_contact_pages' , array(
        'title'    => __( 'Contact Page', 'peccular-premium' ),
        'priority' => null,
        'panel' => 'peccular_header_panel3'
    ) );
    

    $wp_customize->add_setting('peccular_contactpages_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_contactpages_nav', array(
       'section' => 'peccular_contact_pages',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(       
                
                'peccular_inncontact_maintitle',
                'peccular_inncontact_text1',
                'peccular_inncontact_text2',
                'peccular_inncontact_text3',       
                'peccular_inncontact_fb',
                'peccular_inncontact_tw',
                'peccular_inncontact_in',
                'peccular_inncontact_pinterest',
                'peccular_inncontact_instagram',
                'peccular_contactpage_form_shortcode',                
                'peccular_inncontact_calllbl',
                'peccular_inncontact_call',
                'peccular_inncontact_address',                
                'peccular_inncontact_addresslbl',
                'peccular_inncontact_emaillbl',
                'peccular_inncontact_email', 
                'peccular_contactpage_iframe_shortcode',          


            ),
            'active' => true,
         ),      
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array( 

                'peccular_contactpage_box_onload_effects',               
                'peccular_contactpagetop_boxbrdr_color',
                'peccular_contactpagetop_overlay_color1',
                'peccular_contactpagetop_overlay_color2',
                'peccular_contactpagetop_boxlbl_color',
                'peccular_contactpagetop_boxicon_color',
                'peccular_contactpagetop_boxtext_color',
                'peccular_contactpagetop_boxlinkhov_color',
                'peccular_contactpage_lefttext_color',
                'peccular_contactpage_socialicon_color',
                'peccular_contactpage_socialiconhov_color', 
                'peccular_contactpage_formtext_color',
                'peccular_contactpage_formfieldbg_color',              
                'peccular_contactpage_btntext_color',
                'peccular_contactpage_btnbrdr_color',
                'peccular_contactpage_btnhovtext_color',
                'peccular_contactpage_btnhovbg_color',
                
            ),
         )
        ),
    )));



    $wp_customize->add_setting(
        'peccular_inncontact_maintitle',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'Contact Us', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_inncontact_maintitle',
        array(
            'settings'      => 'peccular_inncontact_maintitle',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'text',
            'label'         => __( 'Section Heading', 'peccular' )
        )
    );

    $wp_customize->add_setting(
        'peccular_inncontact_text1',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'There are many variations of passages of Lorem Ipsum available, but the <b>majority</b> have suffered alteration in some form, by , or randomised words which dont slightly believable.', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_inncontact_text1',
        array(
            'settings'      => 'peccular_inncontact_text1',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'text',
            'label'         => __( 'Left Side Text 1', 'peccular' )
        )
    );

    $wp_customize->add_setting(
        'peccular_inncontact_text2',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'If you are going to use a passage of Lorem Ipsum, you be sure there isnt anything <b>embarrassing</b> hidden in the middle of text.', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_inncontact_text2',
        array(
            'settings'      => 'peccular_inncontact_text2',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'text',
            'label'         => __( 'Left Side Text 2', 'peccular' )
        )
    );

    $wp_customize->add_setting(
        'peccular_inncontact_text3',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'All the Lorem Ipsum <b>generators</b> on the Internet tend to repeat predefined chunks as necessary, making this the first true generator on the Internet.', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_inncontact_text3',
        array(
            'settings'      => 'peccular_inncontact_text3',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'text',
            'label'         => __( 'Left Side Text 3', 'peccular' )
        )
    );


// FACEBOOK 
$wp_customize->add_setting('peccular_inncontact_fb', array('default'=> 'https://facebook.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_inncontact_fb',
    array(
        'settings'      => 'peccular_inncontact_fb',
        'section'       => 'peccular_contact_pages',
        'type'          => 'url',
        'label'         => __( 'Facebook Url', 'peccular-premium' )
    )
);
// TWITTER
$wp_customize->add_setting('peccular_inncontact_tw', array('default'=> 'https://twitter.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_inncontact_tw',
    array(
        'settings'      => 'peccular_inncontact_tw',
        'section'       => 'peccular_contact_pages',
        'type'          => 'url',
        'label'         => __( 'Twitter Url', 'peccular-premium' )
    )
);


// Instagram IN
$wp_customize->add_setting('peccular_inncontact_instagram',array('default'=> '','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_inncontact_instagram',
    array(
        'settings'      => 'peccular_inncontact_instagram',
        'section'       => 'peccular_contact_pages',
        'type'          => 'url',
        'label'         => __( 'Instagram Url', 'peccular-premium' )
    )
);


// LINKED IN
$wp_customize->add_setting('peccular_inncontact_in',array('default'=> 'https://linkedin.com','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_inncontact_in',
    array(
        'settings'      => 'peccular_inncontact_in',
        'section'       => 'peccular_contact_pages',
        'type'          => 'url',
        'label'         => __( 'Linkedin Url', 'peccular-premium' )
    )
);

// Pinterest
$wp_customize->add_setting('peccular_inncontact_pinterest',array('default'=> 'https://pinterest.com','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_inncontact_pinterest',
    array(
        'settings'      => 'peccular_inncontact_pinterest',
        'section'       => 'peccular_contact_pages',
        'type'          => 'url',
        'label'         => __( 'Pinterest Url', 'peccular-premium' )
    )
);


    $wp_customize->add_setting(
        'peccular_contactpage_form_shortcode',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'Add form shortcode here', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_contactpage_form_shortcode',
        array(
            'settings'      => 'peccular_contactpage_form_shortcode',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'text',
            'label'         => __( 'Form Shortcode ', 'peccular' )
        )
    );

 //top addres, email, call   

    $wp_customize->add_setting(
        'peccular_inncontact_addresslbl',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'Find us at', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_inncontact_addresslbl',
        array(
            'settings'      => 'peccular_inncontact_addresslbl',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'text',
            'label'         => __( 'Address Label', 'peccular' )
        )
    );

    $wp_customize->add_setting(
        'peccular_inncontact_address',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'Street #25,New York.', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_inncontact_address',
        array(
            'settings'      => 'peccular_inncontact_address',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'textarea',
            'label'         => __( 'Address', 'peccular' )
        )
    );

    $wp_customize->add_setting(
        'peccular_inncontact_calllbl',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'Call us at', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_inncontact_calllbl',
        array(
            'settings'      => 'peccular_inncontact_calllbl',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'text',
            'label'         => __( 'Call Label', 'peccular' )
        )
    );

    $wp_customize->add_setting(
        'peccular_inncontact_call',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( '+123 12345 123456', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_inncontact_call',
        array(
            'settings'      => 'peccular_inncontact_call',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'text',
            'label'         => __( 'Call Number', 'peccular' )
        )
    );

    $wp_customize->add_setting(
    'peccular_inncontact_emaillbl',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Email us at', 'peccular' )
    )
    );
    $wp_customize->add_control(
        'peccular_inncontact_emaillbl',
        array(
            'settings'      => 'peccular_inncontact_emaillbl',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'text',
            'label'         => __( 'Email Label', 'peccular' )
        )
    );

    $wp_customize->add_setting(
        'peccular_inncontact_email',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'info@startravel.com', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_inncontact_email',
        array(
            'settings'      => 'peccular_inncontact_email',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'text',
            'label'         => __( 'Email', 'peccular' )
        )
    );


//top addres, email, call  end     

$wp_customize->add_setting('peccular_contactpage_iframe_shortcode', array( 'default'=>'Add Map Embed Code Here'));
$wp_customize->add_control('peccular_contactpage_iframe_shortcode', array('settings'=>'peccular_contactpage_iframe_shortcode', 'section'=>'peccular_contact_pages','type'=>'textarea', 'label'=> __('Embed Code for map', 'peccular')));


    $wp_customize->add_setting('peccular_contactpage_box_onload_effects',array(
        'default' => 'wow zoomIn',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_contactpage_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Box Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_contact_pages',
    ));

   


addColorPalatOption($wp_customize, 'peccular_contactpagetop_boxbrdr_color', 'peccular_contact_pages', 'Top Box Border Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpagetop_overlay_color1', 'peccular_contact_pages', 'Top Box Overlay Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpagetop_overlay_color2', 'peccular_contact_pages', 'Top Box Overlay Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpagetop_boxlbl_color', 'peccular_contact_pages', 'Top Box Lable Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpagetop_boxicon_color', 'peccular_contact_pages', 'Top Box Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpagetop_boxtext_color', 'peccular_contact_pages', 'Top Box Text Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpagetop_boxlinkhov_color', 'peccular_contact_pages', 'Top Box Link Hover Color', '');

addColorPalatOption($wp_customize, 'peccular_contactpage_lefttext_color', 'peccular_contact_pages', 'Left Text Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_socialicon_color', 'peccular_contact_pages', 'Social Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_socialiconhov_color', 'peccular_contact_pages', 'Social Icon Hover Color', '');

addColorPalatOption($wp_customize, 'peccular_contactpage_formtext_color', 'peccular_contact_pages', 'Form Text Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_formfieldbg_color', 'peccular_contact_pages', 'Form Field BG Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_btntext_color', 'peccular_contact_pages', 'Button Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_btnbrdr_color', 'peccular_contact_pages', 'Button Border Color ', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_btnhovtext_color', 'peccular_contact_pages', 'Button Hover Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_btnhovbg_color', 'peccular_contact_pages', 'Button Hover BG Color ', '');




?>