<?php
/**
 * Template Name: Contact Page
 *
 * @package peccular Premium
 */
get_header(); 
?>
  <?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
<div class="peccular-page-main"> 
    <header class="page-main-header" 
  <?php
    if(get_theme_mod('innerpage_featured_img_on_off') != 'on' ){
  ?>

 <?php  if (!empty($image)) : ?>
  style="background: url('<?php echo esc_url($image); ?>'); background-repeat: no-repeat; background-size:cover;
   height: <?php echo esc_attr(get_theme_mod('peccular_innerpage_image_height','413')) ?>px;
  "
  <?php endif ?> 
 <?php } ?>
  > 
 
<?php
    if(get_theme_mod('page_title_on_off') != 'on' ){
  ?>
    <div class="<?php if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?> <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
        <?php the_title( '<h1 class="ht-main-title">', '</h1>' ); ?>
        <div class="clearfix"></div>
    </div>
 <?php } ?>   
 <?php
    if(get_theme_mod('breadcrumb_on_off') != 'on' ){
  ?>
        <div class="breadcrumbbox <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
            <div class="<?php if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">
                <div class='button'><?php peccular_lite_the_breadcrumb(); ?></div>
                <!--  <?php //peccular_lite_the_breadcrumb(); ?> -->
            </div>
        </div>
 <?php } ?> 

</header><!-- .entry-header --> 
<div class="peccular-innerpage-overlay"></div>
</div>
<main id="innerpage-box">
	<div class="<?php if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">

	<?php
					
	$peccular_inncontact_addresslbl = get_theme_mod('peccular_inncontact_addresslbl', 'Find us at');	
	$peccular_inncontact_emaillbl = get_theme_mod('peccular_inncontact_emaillbl', 'Email us at');
	$peccular_inncontact_calllbl = get_theme_mod('peccular_inncontact_calllbl', 'Call us at');
	$peccular_inncontact_address = get_theme_mod('peccular_inncontact_address', 'Street #25,New York.');
	$peccular_inncontact_email = get_theme_mod('peccular_inncontact_email', 'info@startravel.com');						
	$peccular_inncontact_call = get_theme_mod('peccular_inncontact_call', '+123 12345 123456');
	?>	
	<div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-xs-12  <?php echo esc_attr(get_theme_mod('peccular_contactpage_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
		<div class="row">
		<div class="col-xl-4 col-lg-4 col-md-4 col-sm-4 col-xs-12 inncontact-infobox ">
			<div class="inncontact-infobox1">
			<div class="infoboxinn">
				<h2><i class="fa fa-map-marker" aria-hidden="true"></i><?php echo ($peccular_inncontact_addresslbl);  ?></h2>
				<p><?php echo ($peccular_inncontact_address);  ?></p>
			</div>
		</div>
		</div>
		<div class="col-xl-4 col-lg-4 col-md-4 col-sm-4 col-xs-12 inncontact-infobox ">
			<div class="inncontact-infobox1">
			<div class="infoboxinn">
				<h2><i class="fa fa-envelope-o" aria-hidden="true"></i><?php echo ($peccular_inncontact_emaillbl);  ?></h2>
				<p><a href="mailto:info@startravel.com"><?php echo ($peccular_inncontact_email);  ?></a></p>
			</div>
		</div>
		</div>
		<div class="col-xl-4 col-lg-4 col-md-4 col-sm-4 col-xs-12 inncontact-infobox ">
			<div class="inncontact-infobox1">
			<div class="infoboxinn">
				<h2><i class="fa fa-phone" aria-hidden="true"></i><?php echo ($peccular_inncontact_calllbl);  ?></h2>
				<p><a href="telto:+123 12345 123456"><?php echo ($peccular_inncontact_call);  ?></a></p>
			</div>
		</div>
		</div>
	</div>
	</div>

	<div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-xs-12 inncontact-detailbox ">
	<?php		
		$peccular_inncontact_maintitle = get_theme_mod('peccular_inncontact_maintitle', 'Contact Us');		
	?>			
				
		<?php if($peccular_inncontact_maintitle ){ ?>
			<div class="col-lg-12 col-md-12 col-sm-12 inncontact-heading">
				<div class="peccular-section-head" style="text-align: <?php if(get_theme_mod('peccular_inncontact_head_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_inncontact_head_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_inncontact_head_align','Right') == 'Right'){ ?> right <?php } ?> ">	
                 <h2> <img class="service-heading-imgleft" src="<?php echo esc_url(get_template_directory_uri().'/images/headingimgleft.png');?>" />						
		         <?php echo ($peccular_inncontact_maintitle); ?>
                <img class="service-heading-imgright" src="<?php echo esc_url(get_template_directory_uri().'/images/headingimgright.png');?>" />	</h2>                           
      				
				</div>
            </div>
		<?php }?>
	<?php		
		$peccular_inncontact_text1 = get_theme_mod('peccular_inncontact_text1', 'There are many variations of passages of Lorem Ipsum available, but the <b>majority</b> have suffered alteration in some form, by , or randomised words which dont slightly believable.');	
		$peccular_inncontact_text2 = get_theme_mod('peccular_inncontact_text2', 'If you are going to use a passage of Lorem Ipsum, you be sure there isnt anything <b>embarrassing</b> hidden in the middle of text. ');		
		$peccular_inncontact_text3 = get_theme_mod('peccular_inncontact_text3', 'All the Lorem Ipsum <b>generators</b> on the Internet tend to repeat predefined chunks as necessary, making this the first true generator on the Internet.');			
	?>	
		<div class="row">
			<div class="col-xl-6 col-lg-6 col-md-6 col-sm-12 col-xs-12 detailsbox">
				<p><?php echo ($peccular_inncontact_text1);  ?></p>
				<p><?php echo ($peccular_inncontact_text2);  ?></p>
				<p><?php echo ($peccular_inncontact_text3);  ?></p>

		<div class="inncontact-socials">
	
		<?php
		$facebook = get_theme_mod('peccular_inncontact_fb', '//facebook.com/');
		$twitter = get_theme_mod('peccular_inncontact_tw', '//twitter.com/');
		$linkedIn = get_theme_mod('peccular_inncontact_in', '//linkedin.com/');	
		$pinterest = get_theme_mod('peccular_inncontact_pinterest', 'https://www.pinterest.com');
		$instagram = get_theme_mod('peccular_inncontact_instagram', 'https://www.instagram.com');
		?>

		<?php if(!empty($facebook)){ ?>
		<a href="<?php echo $facebook ?>" title="Facebook" target="_blank"><i class="fa fa-facebook"></i></a>
		<?php }?>

		<?php if(!empty($twitter)){ ?>
		<a href="<?php echo $twitter ?>" title="Twitter" target="_blank"><i class="fa fa-twitter"></i></a>
		<?php }?>

		<?php if(!empty($linkedIn)){ ?>
		<a href="<?php echo $linkedIn ?>" title="LinkedIn" target="_blank"><i class="fa fa-linkedin"></i></a>
		<?php }?>
		<?php if(!empty($pinterest)){ ?>
		<a href="<?php echo $pinterest ?>" title="Pinterest" target="_blank"><i class="fa fa-pinterest"></i></a>
		<?php }?>
		<?php if(!empty($instagram)){ ?>
		<a href="<?php echo $instagram ?>" title="Instagram" target="_blank"><i class="fa fa-instagram"></i></a>
		<?php }?>		
			
		</div><!-- col social -->
			</div>

			<div class="col-xl-6 col-lg-6 col-md-6 col-sm-12 col-xs-12 contact-form ">
				<div class="peccular-contact-block <?php echo esc_attr(get_theme_mod('peccular_contactpage_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
						
						<?php 
						$peccular_contactpage_form_shortcode = get_theme_mod('peccular_contactpage_form_shortcode', 'Add form shortcode on customiser');
						?>
						<div class="peccular-inncontact-form">
							<?php echo do_shortcode($peccular_contactpage_form_shortcode);?>
							<div class="clearfix"></div>
						</div>
				</div> 

			</div><!-- col 6-->

		</div><!--row -->
				      
    </div>  <!-- inncontact-detailbox-->     
			
</div><!-- contailner -->							
				
	
			<?php $peccular_contactpage_iframe_shortcode = get_theme_mod('peccular_contactpage_iframe_shortcode', 'Add Map Embed Code Here');
				 ?>
			<?php if(!empty($peccular_contactpage_iframe_shortcode)){ ?>
				<div class="peccular-contact-mapbox <?php echo esc_attr(get_theme_mod('peccular_contactpage_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
						<?php echo ($peccular_contactpage_iframe_shortcode);  ?>
				</div>
			<?php }?>
						
					
</main>
<?php get_footer(); ?>