<?php
function servicesShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-services');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('peccular_service_number',5);  
    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-md-12 col-sm-12 col-xs-12';
        break;
        case 2: 
        $colCls = 'col-lg-6 col-md-6 col-sm-6 col-xs-12';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        case 17:
        case 19:
        case 21:
        case 23:
        $colCls = 'col-lg-4 col-md-6 col-sm-6 col-xs-12';
        break;
        default: 
        $colCls = 'col-lg-4 col-md-6 col-sm-6 col-xs-12';
        break;
        }
    // }
        $text = '';
        $query = new WP_Query($args);
        if ($query->have_posts()):
            $postN = 0;

            while ($query->have_posts()) : $query->the_post();
                $peccular_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-event-thumb');
                $post = get_post();

                ?>
               
                <?php
                    $peccular_service_price_text_ = get_theme_mod('peccular_service_price_text_'.$i); 
                ?>

                <div class="<?php echo $colCls;?>">
                    <div  service-match-height="groupName" class="peccular-service-box <?php echo esc_attr(get_theme_mod('peccular_service_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
                    <div class="peccular-service-image">

                    <a href="<?php the_permalink();?>">          
                        <?php
                        if (has_post_thumbnail()) {
                        $image_url = $peccular_image[0];
                        } else {
                        $image_url = get_template_directory_uri() . '/images/ser02.jpg';
                        }
                        ?>   
                        <img class="peccular-service-img" src="<?php echo esc_url($image_url); ?>" alt="service" style="height: <?php echo esc_attr(get_theme_mod('peccular_services_post_image_height','323')) ?>px;" />
                    </a>                            

                    <h4 style="text-align: <?php if(get_theme_mod('peccular_services_title_align','Left') == 'Left'){ ?> Left <?php } elseif(get_theme_mod('peccular_services_title_align','Center') == 'Center'){ ?> Center <?php } elseif(get_theme_mod('peccular_services_title_align','Right') == 'Right'){ ?> right <?php } ?> ">
                        <a href="<?php the_permalink(); ?>" style="text-transform : <?php if(get_theme_mod('peccular_service_title_case','None') == 'None'){ ?> none <?php } elseif(get_theme_mod('peccular_service_title_case','Lowercase') == 'Lowercase'){ ?> lowercase <?php } elseif(get_theme_mod('peccular_service_title_case','Capitalize') == 'Capitalize'){ ?> capitalize <?php } elseif(get_theme_mod('peccular_service_title_case','Uppercase') == 'Uppercase'){ ?> uppercase <?php } ?> "><?php the_title(); ?></a>
                    </h4>  
                     <div class="seroverlay"></div>  
                    </div>
                           
                    <div class="peccular-service-content">
                    
                    <div class="row"> 
                        <?php //if( get_theme_mod('peccular_service_price_text_enable',true) == true){ ?>
                        <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">   
                              <h3><?php echo ($peccular_service_price_text_);  ?></h3>              
                        </div>  
                        <?php //}?>                      
                                                    
                    <?php
                        $peccular_service_button_text = get_theme_mod('peccular_service_button_text', 'VIEW DETAILS'); ?>
                        <?php if( get_theme_mod('peccular_service_button_enable',true) == true){ ?>
                        <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">   
                            
                        <a href="<?php the_permalink(); ?>" class="read-btn"><?php echo ($peccular_service_button_text );  ?> </a>                           
                        </div>
                        <?php }?>
                    </div> 
                      <div class="seroverlay2"></div>                   
                </div>   
                </div>                           
                  
      <script>
    var matchHeight = function () {
    
    function init() {
        eventListeners();
        matchHeight();
    }
    
    function eventListeners(){
        $(window).on('resize', function() {
            matchHeight();
        });
    }
    
    function matchHeight(){
        var groupName = $('[service-match-height]');
        var groupHeights = [];
        
        groupName.css('min-height', 'auto');
        
        groupName.each(function() {
            groupHeights.push($(this).outerHeight());
        });
        
        var maxHeight = Math.max.apply(null, groupHeights);
        groupName.css('min-height', maxHeight);
    };
    
    return {
        init: init
    };
    
} ();

$(document).ready(function() {
    matchHeight.init();
});
</script>

      </div>
        <?php
    endwhile;
    $text = ob_get_contents();
    ob_clean();
endif;
wp_reset_postdata();
return $text;
}

function servicesInnerpgeShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-services');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('peccular_service_number',5);  
    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-md-12 col-sm-12 col-xs-12';
        break;
        case 2: 
        $colCls = 'col-md-6 col-sm-6 col-xs-12';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        case 17:
        case 19:
        case 21:
        case 23:
        $colCls = 'col-lg-4 col-md-6 col-sm-6 col-xs-12';
        break;
        default: 
        $colCls = 'col-lg-4 col-md-6 col-sm-6 col-xs-12';
        break;
        }
    // }
        $text = '';
        $query = new WP_Query($args);
        if ($query->have_posts()):
            $postN = 0;
               ?> 
            <div class="row">
            <?php

            while ($query->have_posts()) : $query->the_post();
                $peccular_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-project-thumb');

                 if ($isCustomizer === true) {
                    $service_area_designation = get_theme_mod('service_area_designation' . $i);
                } else {
                    $service_area_designation = '';
                }


                $post = get_post();

                    //designation
                $designation = get_post_meta($post->ID, 'designation', false);
                $service_area_designation = !empty($designation[0]) ? $designation[0] : '';

            ?>
            <div class="<?php echo $colCls;?>">
                <div service-match-height="groupName" class="peccular-service-box <?php echo esc_attr(get_theme_mod('peccular_serviceinnerpage_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
                        <div class="peccular-service-image">
                    <?php if( get_theme_mod('peccular_erviceinn_button_enable',true) == true){ ?>
                        <a href="<?php the_permalink(); ?>">
                            <?php
                            if (has_post_thumbnail()) {
                            $image_url = $peccular_image[0];
                            } else {
                            $image_url = get_template_directory_uri() . '/images/service1.jpg';
                            }
                            ?>   
                        <img class="peccular-service-img" src="<?php echo esc_url($image_url); ?>" alt="service" style="height: <?php echo esc_attr(get_theme_mod('peccular_serviceinnerpage_post_image_height','432')) ?>px;" />                                 
                       
                        </a>
                        </div><!-- peccular-service-image-->
                    <?php }?>     
                    <div class="peccular-service-content" style="text-align: <?php if(get_theme_mod('peccular_serviceinnerpage_page_content_align','Left') == 'Left'){ ?> Left <?php } elseif(get_theme_mod('peccular_serviceinnerpage_page_content_align','Center') == 'Center'){ ?> Center <?php } elseif(get_theme_mod('peccular_serviceinnerpage_page_content_align','Right') == 'Right'){ ?> right <?php } ?> ">  

                        <h4><a href="<?php the_permalink(); ?>" style="text-transform : <?php if(get_theme_mod('peccular_serviceinnerpage_page_title_case','capitalize') == 'capitalize'){ ?> capitalize <?php } elseif(get_theme_mod('peccular_serviceinnerpage_page_title_case','Lowercase') == 'Lowercase'){ ?> lowercase <?php } elseif(get_theme_mod('peccular_serviceinnerpage_page_title_case','Uppercase') == 'Uppercase'){ ?> uppercase <?php } ?> "><?php the_title(); ?></a>
                        </h4>

                        <p><?php $peccular_excerpt = get_the_excerpt(); echo esc_html( peccular_string_limit_words( $peccular_excerpt, esc_attr(get_theme_mod('peccular_serviceinnerpage_post_excerpt','30')) ) ); ?>                                    
                        </p> 
                        <div class="clearfix"></div>
                        <?php
                          $peccular_serviceinnerpage_button_text = get_theme_mod('peccular_serviceinnerpage_button_text', 'Read More'); 
                        ?>
                        <?php if( get_theme_mod('peccular_serviceinnerpage_button_enable',true) == true){ ?>
                            <div class="service-view-btn">
                            <a href="<?php the_permalink(); ?>" ><?php echo ($peccular_serviceinnerpage_button_text );  ?>
                            </a>
                            <div class="btnborder"></div>
                        </div>
                        <?php }?>                                    
                    </div>
                                
                        <div class="clearfix"></div>
                    </div>                            
                  
      <script>
    var matchHeight = function () {
    
    function init() {
        eventListeners();
        matchHeight();
    }
    
    function eventListeners(){
        $(window).on('resize', function() {
            matchHeight();
        });
    }
    
    function matchHeight(){
        var groupName = $('[service-match-height]');
        var groupHeights = [];
        
        groupName.css('min-height', 'auto');
        
        groupName.each(function() {
            groupHeights.push($(this).outerHeight());
        });
        
        var maxHeight = Math.max.apply(null, groupHeights);
        groupName.css('min-height', maxHeight);
    };
    
    return {
        init: init
    };
    
} ();

$(document).ready(function() {
    matchHeight.init();
});
</script>

      </div>
       <?php
    endwhile;
    ?>
    <div class="clearfix"></div>
    </div>
    <?php
    $text = ob_get_contents();
    ob_clean();
endif;
wp_reset_postdata();
return $text;
}

add_shortcode('SERVICES', 'servicesInnerpgeShortCode');